export declare type MediaProducer = {
    id: string;
    paused: boolean;
    type: string;
    kind: string;
    score: number;
};
declare type ProducersState = {
    activeProducers: MediaProducer[];
};
export declare const producerConnected: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<MediaProducer, string>;
export declare const setProducerClosed: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>;
export declare const setProducerScore: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>;
declare const producersReducer: import("redux").Reducer<ProducersState, import("redux").AnyAction>;
export default producersReducer;
